Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: communesmise à jour
#1
Bonjour,
je commence à tourner en rond pour la mise à jour...
Je viens de réinstaller debian jessie en xfce, j'installe darktable, j'ai donc la version 1.4.2 et je souhaitepasser à la derniere, 2.2.3.
Je change mon fichier sources.list comme suit (dites moi le problème s'il y en a un svp):

# deb http://ftp.debian.org/debian jessie-backports main

# deb cdrom:[Debian GNU/Linux 8.7.1 _Jessie_ - Official amd64 DVD Binary-1 20170116-11:01]/ jessie contrib main

deb cdrom:[Debian GNU/Linux 8.7.1 _Jessie_ - Official amd64 DVD Binary-1 20170116-11:01]/ jessie contrib main

deb http://ftp.fr.debian.org/debian/ jessie main
deb-src http://ftp.fr.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main contrib
deb-src http://security.debian.org/ jessie/updates main contrib

# jessie-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ jessie-updates main contrib
deb-src http://ftp.fr.debian.org/debian/ jessie-updates main contrib


J'ai téléchargé les paquets tar.xz, je les ai extraits, après quoi j'ai tappé dans un terminal en root:

apt-get -t jessie-backports install darktable-2.2.3
et il me renvoie:
E: La valeur « jessie-backports » n'est pas valable pour APT:Big Grinefault-Release car cette version ne fait pas partie des sources disponibles.
E: La valeur « jessie-backports » n'est pas valable pour APT:Big Grinefault-Release car cette version ne fait pas partie des sources disponibles.


Merci de m'aider, je ne sais plus comment m'y prendre Huh
Répondre
#2
Je ne comprends pas pourquoi tu commentes jessie-backports alors que tu veux installer darktable depuis cette branche. Je ne comprends pas non plus ce que tu as téléchargé en .tar.xz????
Répondre
#3
(09-03-17, 11:43)pobry a écrit : Je ne comprends pas pourquoi tu commentes jessie-backports alors que tu veux installer darktable depuis cette branche. Je ne comprends pas non plus ce que tu as téléchargé en .tar.xz????

Le paquet que j'ai téléchargé, c'est la mise à jour de darktable sur une fraîche installation de debian jessie en xfce qui n'a pas de paquet plus récent que 1.4.2-1.
J'ai donc suivi les conseils suivants
Par ailleurs, qu'appelles-tu une branche? C'est jessie-backports?
Ce qui me manque dans le type de description de processus d'installation de certaines choses, c'est un peu plus de prise en compte de choses qui ne semblent pas évidentes pour tout le monde. Par exemple, dans la façon d'installer backports sur ma debian, comment précisément commenter un fichier correctement.
Répondre
#4
Il y a confusion car à aucun moment dans le message que tu pointes tu as la ligne commenté et apt get install.

Bon, donc ce que tu dois faire:

1. dans /etc/apt/sources.list ajouter

Code :
# Debian Jessie, dépôt de rétroportages ("backports")
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free


2. mettre à jour la liste des logiciels


Code :
apt-get update

3. installer darktable


Code :
apt-get -t jessie-backports install darktable

Si cela ne marche pas, ne touche à rien Smile et postes icii le message d'erreur que tu reçois.
Répondre
#5
(11-03-17, 17:10)pobry a écrit : Il y a confusion car à aucun moment dans le message que tu pointes tu as la ligne commenté et apt get install.

Bon, donc ce que tu dois faire:

1. dans /etc/apt/sources.list ajouter

Code :
# Debian Jessie, dépôt de rétroportages ("backports")
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free


2. mettre à jour la liste des logiciels


Code :
apt-get update

3. installer darktable


Code :
apt-get -t jessie-backports install darktable

Si cela ne marche pas, ne touche à rien Smile et postes icii le message d'erreur que tu reçois.


Ok, merci beaucoup Big Grin , je comprends pas comment je passe autant de temps à me tromper...????
Mais il me semble que l'on est pas encore à la version 2.2.3... Dodgy  Celle que j'ai est encore la 2.0.7... Mais déjà, c'est mieux, c'est 2.0 Shy
Pour palier au manque de précision dont je parlais plus haut, je vais expliciter:
après avoir tappé # nano /ect/apt/sources.list pour entrer dans le fichier j'ai mis en bas la commande indiquée, puis j'ai fait un simple ctrl -o pour enregistrer puis entrée!
Répondre
#6
Tu devrais installer Debian Stretch. J'y suis d'ailleurs.
Elle est parfaitement utilisable et à quelques semaines de sa sortie en stable.
Tu aurais Darktable 2.2.1
Et pour la photo Gnome me parait mieux que xfce.
http://cdimage.debian.org/cdimage/stretc...4/iso-dvd/
Lille. Hauts de France
Distribution Linux : https://getsol.us/home/
Site web : http://www.philippedeletree.fr
Youtube : Darktable


Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)